Nvidia GPU users: Watch out for kernel 5.18 update

Linux kernel 5.18 has hit the Arch repos but they currently introduce problems with a combination of Nvidia kernel modules and specific CPUs. (intel 11 and 12 gen, possibly newer AMD CPUs as well) Nvidia drivers fail to load in this condition. In my case my PC fell back to Intel iGPU, the PSA on Reddit warns about kernel panics, your mileage may vary.

The solution is packaging from source here and blocking nvidia-open-dkms driver updates to use ibt=off kernel parameter or not updating to kernel 5.18.

6 Likes

Or... not buying nvidia hardware, if intending to use Linux. :wink:

I'm sure those unfortunate enough to own nvidia graphics adapters will appreciate your heads up to let them know about this issue.

8 Likes

A fix for this has been automated and should be applied next system update for all NVIDIA users automatically.

12 Likes

Yes , I faced this issue system failed to integrate nvidia-dkms-515 in linux-zen-5.18

yet i rebooted and system works

Me laughs in AMD 6800XT :slight_smile:

Me laughs in integrated Intel graphics

I have Nvidia graphics for 8 months and this is the only major issue I had so far.

1 Like

Fix did not work for me. Nvidia driver still crashes at boot.

Please make a separate thread while providing the information the template asks for.
Your issue may or may not be related to the issue this thread is about.

3 Likes

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.